GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/sparc-linux-nat.c File Reference
`#include "defs.h"`
`#include "regcache.h"`
`#include <sys/procfs.h>`
`#include "gregset.h"`
`#include "sparc-tdep.h"`
`#include "sparc-nat.h"`
`#include "inferior.h"`
`#include "target.h"`
`#include "linux-nat.h"`

Go to the source code of this file.

## Functions
void | supply_gregset (struct regcache *regcache, const prgregset_t *gregs)
void | supply_fpregset (struct regcache *regcache, const prfpregset_t *fpregs)
void | fill_gregset (const struct regcache *regcache, prgregset_t *gregs, int regnum)
void | fill_fpregset (const struct regcache *regcache, prfpregset_t *fpregs, int regnum)
void | _initialize_sparc_linux_nat (void)

## Function Documentation

## ◆ _initialize_sparc_linux_nat()

void _initialize_sparc_linux_nat | ( | void |  | ) |

Definition at line 57 of file sparc-linux-nat.c.

References linux_nat_add_target(), linux_target(), sparc32_bsd_fpregmap, sparc_fetch_inferior_registers(), sparc_store_inferior_registers(), target_ops::to_fetch_registers, and target_ops::to_store_registers.

## ◆ fill_fpregset()

void fill_fpregset | ( | const struct regcache * | regcache,
|  | prfpregset_t * | fpregs,
|  | int | regnum
| ) |  |

Definition at line 50 of file sparc-linux-nat.c.

References regnum, and sparc32_collect_fpregset().

## ◆ fill_gregset()

void fill_gregset | ( | const struct regcache * | regcache,
|  | prgregset_t * | gregs,
|  | int | regnum
| ) |  |

Definition at line 44 of file sparc-linux-nat.c.

References regnum, and sparc32_collect_gregset().

## ◆ supply_fpregset()

void supply_fpregset | ( | struct regcache * | regcache,
|  | const prfpregset_t * | fpregs
| ) |  |

Definition at line 38 of file sparc-linux-nat.c.

References sparc32_supply_fpregset().

## ◆ supply_gregset()

void supply_gregset | ( | struct regcache * | regcache,
|  | const prgregset_t * | gregs
| ) |  |

Definition at line 32 of file sparc-linux-nat.c.

References sparc32_supply_gregset().